Subject: Re: [E1000-devel] [PATCH] [2.6.26 / RFC] e1000: remove PCI Express device IDs

From: Jeff Garzik <[email-masked]>
Date: Fri, 04 Apr 2008 04:08:31 -0400

Kok, Auke wrote:
> Jeff Garzik wrote:
>> Auke Kok wrote:
>>> We do not want to prolong the situation much longer that e1000
>>> and e1000e support these devices at the same time. As a result,
>>> take out the bandage that was added for the interim period
>>> and remove all the PCI Express device IDs from e1000.
>>>
>>> Signed-off-by: Auke Kok <[email-masked]>
>>> Cc: Linus Torvalds <[email-masked]>
>>> Cc: Jeff Garzik <[email-masked]>
>>> ---
>>>
>>>  drivers/net/Kconfig            |    3 ---
>>>  drivers/net/e1000/e1000_main.c |   33 ---------------------------------
>>>  2 files changed, 0 insertions(+), 36 deletions(-)
>> I'm certainly fine with this for 2.6.26.
>>
>> Do we need to make a public "move to e1000e" announcement, or were the 
>> previous threads sufficient?  :)
> 
> I'm OK with that and will write one such thing to lkml+netdev during the next
> merge window. ok?

I'd say write one sooner rather than later... :)  "this is coming"